Package org.apache.sysds.runtime.iogen.template

# Class FrameGenerateReader

java.lang.Object
org.apache.sysds.runtime.io.FrameReader
org.apache.sysds.runtime.iogen.template.FrameGenerateReader

public abstract class FrameGenerateReader extends FrameReader

## Constructor Summary

Constructors
Constructor
Description
`FrameGenerateReader(CustomProperties _props)`

## Method Summary

Modifier and Type
Method
Description
`FrameBlock`
`readFrameFromHDFS(String fname, Types.ValueType[] schema, String[] names, long rlen, long clen)`
`FrameBlock`
`readFrameFromInputStream(InputStream is, Types.ValueType[] schema, String[] names, long rlen, long clen)`

### Methods inherited from class org.apache.sysds.runtime.io.FrameReader

`getDefColNames, getDefSchema, readFrameFromHDFS, readFrameFromHDFS, readFrameFromInputStream, readFrameFromInputStream`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FrameGenerateReader

public FrameGenerateReader(CustomProperties _props)

## Method Details

### readFrameFromHDFS

public FrameBlock readFrameFromHDFS(String fname, Types.ValueType[] schema, String[] names, long rlen, long clen) throws IOException, DMLRuntimeException

Specified by:
  `readFrameFromHDFS` in class `FrameReader`
Throws:
  `IOException`
  `DMLRuntimeException`

### readFrameFromInputStream

public FrameBlock readFrameFromInputStream(InputStream is, Types.ValueType[] schema, String[] names, long rlen, long clen) throws IOException, DMLRuntimeException

Specified by:
  `readFrameFromInputStream` in class `FrameReader`
Throws:
  `IOException`
  `DMLRuntimeException`